Assigning Attributes to Time Series
This page lists the PowerTSM HTTP API endpoints for listing the attributes assigned to a time series, assigning an attribute, and removing a single or all attribute assignments.
Listing Assigned Attributes
Section titled “Listing Assigned Attributes”GET /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributesAssigning an Attribute
Section titled “Assigning an Attribute”Request
POST /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributesRequest Body
{ "identifier": 1011, "storageInformation": { "repositoryName": "TSM_Example_Repository" }}Removing a Specific Attribute Assignment
Section titled “Removing a Specific Attribute Assignment”DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{assignedAttributeName}In the endpoint DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{assignedAttribute}, the {assignedAttribute} path segment identifies the assigned attribute.
Removing All Attribute Assignments
Section titled “Removing All Attribute Assignments”DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributesWas this page helpful?Thanks for your feedback!